# class Browser

#### package js

Available on HTML5

### Static variables

###

`staticread onlyconsole:Console`

Shortcut to Window.console.

###

`staticread onlydocument:HTMLDocument`

Shortcut to Window.document.

###

`staticread onlylocation:Location`

Shortcut to Window.location.

###

`staticread onlynavigator:Navigator`

Shortcut to Window.navigator.

###

`staticread onlysupported:Bool`

True if a window object exists, false otherwise.

This can be used to check if the code is being executed in a non-browser environment such as node.js.

###

`staticread onlywindow:Window`

The global window object.

### Static methods

###

`staticalert (v:Dynamic):Void`

Display an alert message box containing the given message. See also `Window.alert()`.

###

`staticcreateXMLHttpRequest ():XMLHttpRequest`

Creates an XMLHttpRequest, with a fallback to ActiveXObject for ancient versions of Internet Explorer.

###

`staticgetLocalStorage ():Storage`

Safely gets the browser's local storage, or returns null if localStorage is unsupported or disabled.

###

`staticgetSessionStorage ():Storage`

Safely gets the browser's session storage, or returns null if sessionStorage is unsupported or disabled.